package com.diss.omppapp.repositories;

import com.diss.omppapp.entities.LecturerClassesKey;
import com.diss.omppapp.entities.LecturerClassessEntity;
import com.diss.omppapp.entities.LecturerEntity;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface LecturerClassesEntityRepository extends CrudRepository<LecturerClassessEntity, LecturerClassesKey> {
    Optional<List<LecturerClassessEntity>> findAllByUsername(String username);
    boolean existsByUsername(String username);
}
